<div>
  <div class="row">
    
    <div class="col-md-8">
      <br>
    </div>
    <div class="col-md-8">
      <div class="card shadow-lg">
        <div class="card-body p-3">
          <div class="row gx-4">
            <div class="col-auto">
              <div class="avatar avatar-xl position-relative">
              <%if @event.score.where(position: 1).count == 1%>
                <%if !@event.score.where(position: 1).first.player.image_attachment.nil?%>
                  <%= image_tag(@event.score.where(position: 1).first.player.image, class: "w-100 border-radius-lg shadow-sm")%>
                <%else%>
                  <%= image_tag("blank-profile-picture.jpg", class: "w-100 border-radius-lg shadow-sm")%>
                <%end%>
              <%end%>
                
              </div>
            </div>
            <div class="col-auto my-auto">        
                <div class="h-100">
                    <p class="h3 text-success">
                        <i class="fa fa-trophy"></i>&nbsp;&nbsp;Winner
                    </p>
                    <% @event.score.where(position: 1).each do |score|%>
                        <p class="h4">
                            <%=score.player.name.titleize%> &nbsp;&nbsp;&nbsp;&nbsp; Total Points:&nbsp; <%=score.points%>
                        </p>
                    <%end%>
                </div>
            </div>
            
              
          </div>
        </div>
      </div>
    </div>
    <div class="col-md-8">
      <br>
    </div>
    <div class="col-md-8"> <!-- EVENT DETAILS -->
        <div class="card">
            <div class="card-header pb-0 p-3">
                <div class="d-flex align-items-center">
                    <h5 class="mb-0 text-primary">Event details: </h5>
                </div>
            </div>
            <div class="card-body p-3">
                <div class="row">
                    <div class="col-5">
                        <ul class="list-group">
                            <li class="list-group-item border-0 ps-0 pt-0 text-sm"><strong class="text-dark">Name:</strong> &nbsp; <%=@event.name.titleize%>&nbsp;
                                <span class="badge badge-pill badge-lg bg-gradient-danger"><%="CLOSED" if @event.status.upcase == "CLOSED"%></span>
                            </li>
                            <li class="list-group-item border-0 ps-0 text-sm"><strong class="text-dark">Date:</strong> &nbsp; <%=local_time(@event.created_at, %"%d/%m/%Y") %> at <%=@event.timeIni.strftime("%H:%M")%> - <%=@event.timeEnd.strftime("%H:%M")%></li>
                            <li class="list-group-item border-0 ps-0 text-sm"><strong class="text-dark">Couples:</strong> &nbsp; <%=(@event.mixed? ? "MIXED":"FIXED" ) %>&nbsp;
                                 <strong class="text-dark">Category:</strong>&nbsp; <%=@event.level%>
                            </li>
                            
                        </ul>
                    </div>
                    
                </div>
            </div>
        </div>
    </div>
    <div class="col-md-8">
        <br>
    </div>
    <div class="col-md-8">
        <div class="card">
            <div class="card-header pb-0">
                <div class="d-flex align-items-center">
                    <p class="h4 text-primary">Final event positions</p>            
                </div>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-12">
                    <div class="card mb-4">                        
                        <div class="card-body px-0 pt-0 pb-2">
                        <div class="table-responsive p-0">
                            <table class="table align-items-center justify-content-center mb-0">
                                <thead>
                                    <tr>
                                        <th class="text-uppercase text-secondary text-xs font-weight-bolder">Position</th>
                                        <th class="text-uppercase text-secondary text-xs font-weight-bolder ps-2">Points</th>
                                        <th class="text-uppercase text-secondary text-xs font-weight-bolder opacity-7 ps-4">Player</th>                                        
                                    </tr>
                                </thead>
                                <tbody>
                                    <% @scores.each do |score|%>
                                        <tr>
                                            <td>
                                                <p class="text-sm font-weight-bold mb-0 ps-4"><%=score.try(:position).try(:ordinalize)  %></p>
                                            </td>
                                            <td>
                                                <span class="text-xs font-weight-bold"><%=score.points%></span>
                                            </td>
                                            <td>
                                                <div class="d-flex px-2">
                                                    <%if !score.player.image_attachment.nil?%>
                                                        <%= image_tag(score.player.image, class: "avatar avatar-sm me-3")%>
                                                    <%else%>
                                                        <%= image_tag("blank-profile-picture.jpg", class: "avatar avatar-sm me-3")%>
                                                    <%end%>                                    
                                                    <div class="my-auto">
                                                        <h6 class="mb-0 text-sm"><%= link_to score.player.name.titleize, player_matches_path(@event,score.player)%>
                                                        </h6>
                                                        <div class="d-flex align-items-center justify-content-center">
                                                            <span class="me-2 text-xs font-weight-bold"><%= ((score.points.to_f/@scores.first.points.to_f)*100).round%> %</span>
                                                            <div>
                                                                <div class="progress">
                                                                
                                                                    <% case ((score.points.to_f/@scores.first.points.to_f)*100).round %>
                                                                        <% when 0..25 %>
                                                                        <div class="progress-bar bg-gradient-danger" role="progressbar" aria-valuenow="<%= ((score.points.to_f/@scores.first.points.to_f)*100).round%>" aria-valuemin="0" aria-valuemax="100" style="width: <%= ((score.points.to_f/@scores.first.points.to_f)*100).round%>%;">
                                                                        <% when 26..50%>
                                                                        <div class="progress-bar bg-gradient-warning" role="progressbar" aria-valuenow="<%= ((score.points.to_f/@scores.first.points.to_f)*100).round%>" aria-valuemin="0" aria-valuemax="100" style="width: <%= ((score.points.to_f/@scores.first.points.to_f)*100).round%>%;">
                                                                        <% when 51..75%>
                                                                        <div class="progress-bar bg-gradient-info" role="progressbar" aria-valuenow="<%= ((score.points.to_f/@scores.first.points.to_f)*100).round%>" aria-valuemin="0" aria-valuemax="100" style="width: <%= ((score.points.to_f/@scores.first.points.to_f)*100).round%>%;">
                                                                        <%when 75..100%>
                                                                        <div class="progress-bar bg-gradient-success" role="progressbar" aria-valuenow="<%= ((score.points.to_f/@scores.first.points.to_f)*100).round%>" aria-valuemin="0" aria-valuemax="100" style="width: <%= ((score.points.to_f/@scores.first.points.to_f)*100).round%>%;">
                                                                    <%end%>
                                                                        </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </td>
                                        </tr>
                                    <%end%>
                                </tbody>
                            </table>
                        </div>
                        </div>
                    </div>
                    </div>
                </div>
            
            

                <div class="card-header pb-0">
                    <div class="d-flex align-items-center">            
                        <%= link_to(events_path, class:"btn bg-gradient-primary ms-auto") do%>
                            <i class="fa fa-list-ol"></i>&nbsp;&nbsp;Event list
                        <%end%>
                    </div>
                </div>
            </div>      
        </div>
      </div>
    </div>
  </div>
</div>
